Method: projects.apps.issues.batchUpdate

Change the state of a group of issues. This method is not atomic, so partial failures can occur. In the event of a partial failure, the request will fail and you will need to call issues.get to see which issues were not updated.

HTTP request

POST https://firebasecrashlytics.googleapis.com/v1alpha/{parent=projects/*/apps/*}/issues:batchUpdate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource shared by all issues being updated. Format: projects/{project}/apps/{app}. If this is set, the parent field in the UpdateIssueRequest messages must either be empty or match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateIssueRequest)
    }
  ],
  "updateMask": string
}
Fields
requests[]

object (UpdateIssueRequest)

Required. The request message specifying the resources to update. A maximum of 100 issues can be modified in a batch.

updateMask

string (FieldMask format)

Optional. The list of Issue fields to update. If this is set, the updateMask field in the UpdateIssueRequest messages must either be empty or match this field.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Response body

Response message for the issues.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "issues": [
    {
      object (Issue)
    }
  ]
}
Fields
issues[]

object (Issue)

Issues updated in the same order as in BatchUpdateIssuesRequest.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/firebase

For more information, see the OAuth 2.0 Overview.

UpdateIssueRequest

Request message for the issues.patch method.

JSON representation
{
  "issue": {
    object (Issue)
  },
  "updateMask": string
}
Fields
issue

object (Issue)

Required. The issue to update.

The issue's name field is used to identify the issue to update. Format: "projects/{project}/apps/{app}/issues/{issue}".

updateMask

string (FieldMask format)

Optional. The list of Issue fields to update. Currently only "state" is mutable.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".